"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addAction = addAction;
exports.removeAction = removeAction;
var Actions = {};

exports.default = Actions;
function addAction(actionName, action) {
  if (Actions[actionName]) {
    throw new Error("An action called \"" + actionName + "\" already exists! Please pick another name!");
  }
  Actions[actionName] = function (payload) {
    return action(payload);
  };
}

function removeAction(actionName) {
  delete Actions[actionName];
}